Subject: Re: [v6ops] IANA assigned prefix for IPv6 benchmarking

From: "[email-masked]" <[email-masked]>
Date: Sun, 26 Jul 2015 16:31:39 +0900

That is a fair point. However, I guess the authors made the note to avoid the possibility (however improbable) of any conflict with operational traffic.

Marius

-------- Original Message --------
Subject: Re: [v6ops] IANA assigned prefix for IPv6 benchmarking
From: Brian E Carpenter
To: [email-masked]
CC:

On 25/07/2015 22:37, GEORGESCU LIVIU MARIUS wrote:
> If respecting the recommendations of RFC5180 is desired I think the following note in RFC5180 is relevant:
>
> " Note: Similar to RFC 2544(https://tools.ietf.org/html/rfc2544) avoiding the use of RFC 1918(https://tools.ietf.org/html/rfc1918) address space
> for benchmarking tests, this document does not recommend the use of RFC 4193(https://tools.ietf.org/html/rfc4193) [4(https://tools.ietf.org/html/rfc5180#ref-4)] (Unique Local Addresses) in order to minimize the
> possibility of conflicts with operational traffic."
>
> which in my understanding does not recommend the use of ULA s.

No, but it's a strange argument precisely because ULAs are Unique with very high
probability, so conflict with operational traffic is very improbable.

Brian

>
> Best regards,
> Marius
>
> On 07/24/15, Alexandru Petrescu wrote:
>>
>>
>>
>> Le 24/07/2015 11:16, GEORGESCU LIVIU MARIUS a écrit :
>>> Hello v6ops,
>>>
>>> Related to the question that came up in Stuart Cheshire's presentation
>>> about the prefix used for benchmarking, RFC5180(with errata) "IPv6
>>> Benchmarking Methodology for Network Interconnect Devices" (which might
>>> not apply here) states: "The IANA has assigned 2001:0002::/48 for IPv6
>>> benchmarking, which is a 48-bit prefix from the RFC 4773 pool."
>>> I hope this helps.
>>
>> To me, this is an additional reason to think that it is good to use ULAs (not 2001:s or Teredos) behind any form of NATxy.
>>
>> But I heard there may be good reasons to avoid ULA in NAT64. Not sure which.
>>
>> Alex
>>
>>>
>>> Best regards,
>>> Marius
>>>
>>>
>>> _______________________________________________
>>> v6ops mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/v6ops
>>>
>>
>> _______________________________________________
>> v6ops mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/v6ops
>>
>
>
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops